<?xml version="1.0" encoding="utf-8"?>
<DirectionalLayout
    xmlns:ohos="http://schemas.huawei.com/res/ohos"
    ohos:height="match_content"
    ohos:width="match_parent"
    ohos:alignment="center">

    <DirectionalLayout
        ohos:height="match_content"
        ohos:width="400vp"
        ohos:alignment="center"
        ohos:background_element="$graphic:background_circle_16"
        ohos:orientation="vertical"
        ohos:padding="20vp">


        <DirectionalLayout
            ohos:height="match_content"
            ohos:width="match_parent"
            ohos:orientation="horizontal">

            <!-- 标题 -->
            <Text
                ohos:id="$+id:title_text"
                ohos:height="match_content"
                ohos:width="0"
                ohos:weight="1"
                ohos:bottom_margin="20vp"
                ohos:text="选择日期"
                ohos:text_color="#FF000000"
                ohos:text_size="18fp"/>
            <Image ohos:id="$+id:close" ohos:image_src="$media:close"
                   ohos:scale_mode="stretch"
                   ohos:padding="5vp"
                ohos:width="26vp"
                   ohos:height="26vp"
                />
        </DirectionalLayout>


        <!-- 日期选择器容器 -->
        <DirectionalLayout
            ohos:height="match_content"
            ohos:width="match_parent"
            ohos:alignment="center"
            ohos:orientation="horizontal">

            <!-- 年份选择器 -->
            <Picker
                ohos:id="$+id:year_picker"
                ohos:height="match_content"
                ohos:width="0"
                ohos:normal_text_color="#FF666666"
                ohos:normal_text_size="20fp"
                ohos:selected_text_color="#FFFA6332"
                ohos:selected_text_size="24fp"
                ohos:weight="1"/>

            <!-- 月份选择器 -->
            <Picker
                ohos:id="$+id:month_picker"
                ohos:height="match_content"
                ohos:width="0"
                ohos:normal_text_color="#FF666666"
                ohos:normal_text_size="20fp"
                ohos:selected_text_color="#FFFA6332"
                ohos:selected_text_size="24fp"
                ohos:weight="1"/>

        </DirectionalLayout>

        <!-- 按钮容器 -->
        <DirectionalLayout
            ohos:height="match_content"
            ohos:width="match_parent"
            ohos:alignment="center"
            ohos:orientation="horizontal"
            ohos:top_margin="20vp">

            <!-- 确认按钮 -->
            <Text
                ohos:id="$+id:btn_confirm"
                ohos:height="48vp"
                ohos:width="match_parent"
                ohos:background_element="$graphic:button"
                ohos:clickable="true"
                ohos:focusable="focus_enable"
                ohos:left_margin="20vp"
                ohos:right_margin="20vp"
                ohos:text="确认"
                ohos:text_alignment="center"
                ohos:text_color="#FFFFFFFF"
                ohos:text_size="16fp"/>

        </DirectionalLayout>

    </DirectionalLayout>
</DirectionalLayout>

